Loading...
Searching...
No Matches
casacore::ConvEnums Class Reference
lattices package (libcasa_lattices) » LatticeMath_module

More...

`#include <LatticeConvolver.h>`

## Public Types

enum | ConvType { LINEAR , CIRCULAR }

## Detailed Description

Lists the different types of Convolutions that can be done

### Synopsis

This enumerator is brought out as a separate class because g++ currently cannot handle enumerators in a templated class. When it can this class will go away and this enumerator moved into the Convolver class

Definition at line 47 of file LatticeConvolver.h.

## Member Enumeration Documentation

## ConvType

enum casacore::ConvEnums::ConvType

Enumerator
LINEAR | Linear convolution.
CIRCULAR | Circular Convolution.

Definition at line 49 of file LatticeConvolver.h.

The documentation for this class was generated from the following file:

- lattices/LatticeMath/LatticeConvolver.h